package com.sv.mapper;

import com.sv.entity.Protocol;

import java.util.List;

/**
 * Mapper - 协议
 *
 * @author lihong
 * @since 2018-08-10
 */
public interface ProtocolMapper {

    /**
     * 新建协议
     *
     * @param protocol 协议
     */
    void insert(Protocol protocol);

    /**
     * 更新协议
     *
     * @param protocol 协议
     */
    void update(Protocol protocol);

    /**
     * 删除协议
     *
     * @param id 编号
     * @return 删除数量
     */
    int delete(Integer id);

    /**
     * 删除协议
     *
     * @param ids 编号数组
     * @return 删除数量
     */
    int deleteByIds(Integer[] ids);

    /**
     * 查询协议
     *
     * @param id 编号
     * @return 协议
     */
    Protocol findById(Integer id);

    /**
     * api
     * 查询协议
     *
     * @return 协议集合
     */
    Protocol findAll();

    List<Protocol> findAlls();

}